Method: advertisers.reachForecast.retrievePlannableUserInterests

Pobiera listy odbiorców Google (zainteresowania użytkowników) dostępne na potrzeby prognozowania.

Żądanie HTTP

GET https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/reachForecast:retrievePlannableUserInterests

Adres URL używa składni transkodowania gRPC.

Parametry ścieżki

Parametry
advertiserId

string (int64 format)

Wymagane. Identyfikator reklamodawcy, dla którego mają być wyświetlane możliwe do zaplanowania zainteresowania użytkowników.

Parametry zapytania

Parametry
productCategory

enum (PlannableProductCategory)

Wymagane. Kategoria produktu, dla której mają zostać pobrane możliwe do zaplanowania zainteresowania użytkowników.

Treść żądania

Treść żądania musi być pusta.

Treść odpowiedzi

Odpowiedź dla reachForecast.retrievePlannableUserInterests.

W przypadku powodzenia treść żądania zawiera dane o następującej strukturze:

Zapis JSON
{
  "plannableUserInterests": [
    {
      object (PlannableUserInterest)
    }
  ]
}
Pola
plannableUserInterests[]

object (PlannableUserInterest)

Lista zainteresowań użytkowników, które można uwzględnić w planowaniu (odbiorcy Google).

Zakresy autoryzacji

Wymaga następującego zakresu OAuth:

  • https://www.googleapis.com/auth/display-video

Więcej informacji znajdziesz w sekcji OAuth 2.0 Overview.

PlannableUserInterest

Zainteresowanie użytkownika, które można zaplanować i wykorzystać do kierowania.

Zapis JSON
{
  "userInterestDisplayName": string,
  "userInterestPath": string,
  "userInterestType": string,
  "userInterest": {
    object (UserInterest)
  }
}
Pola
userInterestDisplayName

string

Tylko dane wyjściowe. Wyświetlana nazwa zainteresowania, np. „Entuzjaści aktywności na świeżym powietrzu”.

userInterestPath

string

Tylko dane wyjściowe. Ścieżka kategorii zainteresowania.

userInterestType

string

Tylko dane wyjściowe. Typ odbiorców, np. „AFFINITY”, „IN_MARKET”.

userInterest

object (UserInterest)

Tylko dane wyjściowe. Identyfikator zainteresowania użytkownika.

Pole wypełniane w obiekcie jest określane przez wartość [productCategory][] podaną w żądaniu.

  • W przypadku „YouTube” pole [userInterestCategory][] jest wypełnione.
  • W przypadku „Aukcji otwartej” pole [userInterestUserList][] jest wypełnione.

ZainteresowanieUżytkownika

Identyfikator zainteresowania użytkownika.

Zapis JSON
{
  "userInterestCategory": string,
  "userInterestUserList": string
}
Pola
userInterestCategory

string

Tylko dane wyjściowe. Nazwa zasobu kategorii zainteresowań. Wypełniane, gdy w kolumnie productCategory jest wpisana wartość „YouTube”. Format: customers/{customerId}/userInterests/{user_interest_id}

userInterestUserList

string

Tylko dane wyjściowe. Nazwa zasobu listy użytkowników. Wypełniane, gdy pole productCategory ma wartość „Aukcja otwarta”. Format: customers/{customerId}/userLists/{user_list_id}